<?php 
// display thumbnail images in pairs of two

$imgs = glob("*/thumbs/*.jpg");

function trimname(&$n) {
    $n = substr($n, 0, -4); // strip '.jpg'
}

array_walk($imgs, 'trimname');
?>
<html><head><title>
thumbnails
</title>
<script type = 'text/javascript'>
<?php
echo "var images = new Array(";
$i=0;
foreach ($imgs as $im) {
    if ($i++ > 0) echo ", ";
    echo "'$im'";
}
echo ");\n";
?>
var currentImg1 = 0;
var currentImg2 = 1;
function keyInput(e) {
    if (!e) var e = window.event;
    var code;
    if (e.keyCode)
	code = e.keyCode;
    else if (e.which)
	code = e.which;
    if (code == 39 || code == 77) { // right arrow or 'm'
	currentImg1 = (currentImg1 + 2) % images.length;
	currentImg2 = (currentImg1 + 1) % images.length;
	showImg();
    } else if (code == 37 || code == 78) { // left arrow or 'n'
	currentImg1 = (currentImg1 + images.length - 2) % images.length;
	currentImg2 = (currentImg1 + 1) % images.length;
	showImg();
    }
}

function showImg() {
    document.getElementById('im1').src = images[currentImg1] + ".jpg";
    document.getElementById('im2').src = images[currentImg2] + ".jpg";
    var p1 = images[currentImg1].split("/");
    var p2 = images[currentImg2].split("/");
    document.getElementById('camlabel').innerHTML = p1[0]
    document.getElementById('label1').innerHTML = p1[p1.length-1]
    document.getElementById('label2').innerHTML = p2[p2.length-1];
}
</script>
</head>
<body onload = 'showImg()' onkeydown = 'keyInput(event)'>

Hit the arrow keys or N/M to advance through all images.<br>
<table border=1><tr><td>
<span id = 'camlabel'></span><br>
<table border=0><tr>
<td><img id = 'im1' src = '' alt = 'image' /><br>
 <span id = 'label1'></span></td>
<td><img id = 'im2' src = '' alt = 'image2' /><br>
 <span id = 'label2'></span></td>
</tr></table>
</td></tr></table>

<p>

<?php
$oldcam = "x";
$n = 0;
foreach ($imgs as $im) {
    $parts = split("[/\\.]", $im);
    $cam = $parts[0];
    if ($cam != $oldcam) {
	echo "<br>$cam<br>\n";
	$oldcam = $cam;
    }
    echo "<img src=\"$im.jpg\" width=70";
    if ($n < 2)
	echo " onload = 'showImg()'";
    echo ">\n";
    $n++;
}
?>

</body>
</html>
